<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

/**
 * The Default Controller
 *
 * @author Varun Shoor
 */
class Controller_Default extends Controller_staff
{
	/**
	 * Constructor
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function __construct()
	{
		parent::__construct();

		return true;
	}

	/**
	 * Destructor
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function __destruct()
	{
		parent::__destruct();

		return true;
	}

	/**
	 * The Index Function
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function Index()
	{
		return parent::_LoginIndex();
	}

	/**
	 * Login the Staff Member
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function Login()
	{
		return parent::_Login();
	}

	/**
	 * Logout the Staff
	 *
	 * @author Varun Shoor
	 * @param constant $_logoutType The Logout Type
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function Logout($_logoutType = false)
	{
		return parent::_Logout($_logoutType);
	}

	/**
	 * The CSS Display Function
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function CSS()
	{
		return parent::_CSS();
	}

	/**
	 * The Compressor Dispatch Function
	 *
	 * @author Varun Shoor
	 * @param constant $_dispatchType The Dispatch Type
	 * @param string $_fileList (OPTIONAL) The File List
	 * @return bool "true" on Success, "false" otherwise
	 */
	public function Compressor($_dispatchType, $_fileList = '')
	{
		return parent::_Compressor($_dispatchType, $_fileList);
	}

	/**
	 * Rebuild the Core Cache
	 *
	 * @author Varun Shoor
	 * @return bool "true" on Success, "false" otherwise
	 * @throws SWIFT_Exception If the Class is not Loaded
	 */
	public function RebuildCache() {
		if (!$this->GetIsClassLoaded()) {
			throw new SWIFT_Exception(SWIFT_CLASSNOTLOADED);

			return false;
		}

		$_cacheContainer = array();

		// First the cache directory
		SWIFT_CacheManager::EmptyCacheDirectory();
		$_cacheContainer[] = $this->Language->Get('clearedcachedirectory');

		$_cacheContainer = array_merge($_cacheContainer, SWIFT_CacheManager::RebuildEntireCache());

		foreach ($_cacheContainer as $_cache) {
			echo $_cache . '<br />';
		}

		return true;
	}
}
?>